
import java.io.*;

public class StringPatternFilter extends PatternFilter
{
   private String _str = null;

   public StringPatternFilter(InputStream is, String str)
   {
      super(is);

      _str = str;
   }

   protected boolean match() throws IOException
   {
      // Read in bytes, convert them into a String, and compare
      // the String with the stored String.

      int l = _str.length();

      byte [] rgb = new byte [l];

      in.mark(l);

      in.read(rgb);

      String str = new String(rgb, 0x00);

      if (str.equals(_str)) return true;

      in.reset();

      return false;
   }

   public String toString()
   {
      return _str;
   }
}
